Name:          python-toposort
Version:       1.6
Release:       1mamba
Summary:       Implements a topological sort algorithm
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/toposort/
Source:        https://pypi.debian.net/toposort/toposort-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 python-toposort' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n toposort-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
## note: this list is just an example; modify as required
# %{python_sitearch}/%{name}.py*
# %{python_sitearch}/%{name}.so

## note: add extra documentation (if any)
# %doc README.txt

%changelog
* Fri Dec 18 2020 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5-1mamba
- package created using the webbuild interface
